On Thu, 04 Jun 2015, Martin Basti wrote:
On 04/06/15 16:14, Oleg Fayans wrote:
Thanks!

Is it critical for using the code?
No, this exception is raised only when IPA is not installed, and you do not need IPA upgrade without installed IPA.
I've got the same issue when installing IPA. Upgrade runs as one of few
last steps during install and I get:
2015-06-04T11:10:23Z DEBUG Logging to /var/log/ipaupgrade.log
2015-06-04T11:10:23Z DEBUG ipa-server-upgrade was invoked with arguments
[] and options: {'skip_version_check': False, 'log_file': None, 'force':
False, 'verbose': False, 'quiet': True}
2015-06-04T11:10:23Z DEBUG IPA version
4.1.99.201506041059GIT8f0c945-0.fc22
2015-06-04T11:10:23Z DEBUG   File
"/usr/lib/python2.7/site-packages/ipapython/admintool.py", line 171, in execute
   return_value = self.run()
 File 
"/usr/lib/python2.7/site-packages/ipaserver/install/ipa_server_upgrade.py", 
line 44, in run
   import ipaserver.plugins.dogtag  # ensure profile backend gets loaded
 File "/usr/lib/python2.7/site-packages/ipaserver/plugins/dogtag.py", line 1273, in 
<module>
   raise SkipPluginModule(reason='dogtag not selected as RA plugin')

2015-06-04T11:10:23Z DEBUG The ipa-server-upgrade command failed, exception: 
SkipPluginModule: dogtag not selected as RA plugin
2015-06-04T11:10:23Z ERROR Unexpected error - see /var/log/ipaupgrade.log for 
details:
SkipPluginModule: dogtag not selected as RA plugin



On 06/04/2015 04:08 PM, Martin Basti wrote:
On 04/06/15 15:55, Oleg Fayans wrote:
Hi everybody

The following error was raised during the installation of the freeipa packages built from the current master branch:

ofayans@f22master:~/freeipa/dist/rpms]$ sudo rpm -ihv *.rpm
Preparing... ################################# [100%]
Updating / installing...
1:freeipa-python-4.1.99.20150604133################################# [ 14%] 2:freeipa-client-4.1.99.20150604133################################# [ 29%] 3:freeipa-admintools-4.1.99.2015060################################# [ 43%] 4:freeipa-server-4.1.99.20150604133################################# [ 57%] 5:freeipa-server-trust-ad-4.1.99.20################################# [ 71%] 6:freeipa-tests-4.1.99.201506041338################################# [ 86%] 7:freeipa-debuginfo-4.1.99.20150604################################# [100%]
Unexpected error - see /var/log/ipaupgrade.log for details:
SkipPluginModule: dogtag not selected as RA plugin

The corresponding part of the ipaupgrade.log is as follows:

2015-06-04T13:48:36Z DEBUG File "/usr/lib/python2.7/site-packages/ipapython/admintool.py", line 171, in execute
   return_value = self.run()
File "/usr/lib/python2.7/site-packages/ipaserver/install/ipa_server_upgrade.py", line 44, in run import ipaserver.plugins.dogtag # ensure profile backend gets loaded File "/usr/lib/python2.7/site-packages/ipaserver/plugins/dogtag.py", line 1273, in <module>
   raise SkipPluginModule(reason='dogtag not selected as RA plugin')

2015-06-04T13:48:36Z DEBUG The ipa-server-upgrade command failed, exception: SkipPluginModule: dogtag not selected as RA plugin

This error is observed both on f22 and f21 machines.

the only patch that I applied on top of the master branch is this:
freeipa-lkrispen-0011-check-for-existing-and-self-referential-segments.patch



Known issue, caused by CA profiles patches.

Fix for this requires additional patches for IPA api from Honza.




--
Martin Basti

--
Manage your subscription for the Freeipa-devel mailing list:
https://www.redhat.com/mailman/listinfo/freeipa-devel
Contribute to FreeIPA: http://www.freeipa.org/page/Contribute/Code

--
/ Alexander Bokovoy

--
Manage your subscription for the Freeipa-devel mailing list:
https://www.redhat.com/mailman/listinfo/freeipa-devel
Contribute to FreeIPA: http://www.freeipa.org/page/Contribute/Code

Reply via email to